StoredFieldVisitor.Status (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.index, class: StoredFieldVisitor, enum: Status

Package org.apache.lucene.index

# Enum Class StoredFieldVisitor.Status

java.lang.Object
java.lang.Enum<StoredFieldVisitor.Status>
org.apache.lucene.index.StoredFieldVisitor.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<StoredFieldVisitor.Status>`, `Constable`

Enclosing class:
  `StoredFieldVisitor`

public static enum StoredFieldVisitor.Status extends Enum<StoredFieldVisitor.Status>
Enumeration of possible return values for `StoredFieldVisitor.needsField(org.apache.lucene.index.FieldInfo)`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NO`
  NO: don't visit this field, but continue processing fields for this document.
  `STOP`
  STOP: don't visit this field and stop processing any other fields for this document.
  `YES`
  YES: the field should be visited.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StoredFieldVisitor.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StoredFieldVisitor.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### YES

    public static final StoredFieldVisitor.Status YES
    YES: the field should be visited.

  - ### NO

    public static final StoredFieldVisitor.Status NO
    NO: don't visit this field, but continue processing fields for this document.

  - ### STOP

    public static final StoredFieldVisitor.Status STOP
    STOP: don't visit this field and stop processing any other fields for this document.

- ## Method Details

  - ### values

    public static StoredFieldVisitor.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StoredFieldVisitor.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null